View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
16949Bug reportsTheme editorpublic2021-02-08 13:30
Reportergabrieljenik Assigned Togabrieljenik  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.3.33 
Summary16949: Uploading an image through the theme options fails
Description

Uploading an image through the theme options fails

Steps To Reproduce

1.) Extend the fruity theme
2.) Edit the theme options of the extended theme and at the bottom upload a png file
note, theme options, not the theme files

upload bar will quickly show up and roll back. in the console you can see an error 500

Additional Information

https://github.com/LimeSurvey/LimeSurvey/commit/eef20220d91ed102bb8d55394c334a8778f22136#r45696838

I think bug was introduced here:
https://github.com/LimeSurvey/LimeSurvey/commit/3376b3ca24d0209015080c48ab1dd33593696a2d

Original bug 16948
This is for master

TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)4.3.33
I will donate to the project if issue is resolvedNo
Browser
Database type & versionMysql
Server OS (if known)
Webserver software & version (if known)
PHP Version7

Relationships

related to 16948 closedgabrieljenik Uploading an image through the theme options fails 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

gabrieljenik

gabrieljenik

2021-01-07 18:29

manager   ~61458

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1714

gabrieljenik

gabrieljenik

2021-02-04 13:10

manager   ~61937

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30987

lime_release_bot

lime_release_bot

2021-02-08 13:30

administrator   ~62007

Fixed in Release 4.4.2+210208

Related Changesets

LimeSurvey: master 94e7ed5c

2021-02-04 13:10:26

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16949: Uploading an image through the theme options fails (#1714) Affected Issues
16949
mod - application/controllers/admin/themes.php Diff File

Issue History

Date Modified Username Field Change
2021-01-06 16:00 gabrieljenik New Issue
2021-01-06 16:00 gabrieljenik Status new => assigned
2021-01-06 16:00 gabrieljenik Assigned To => gabrieljenik
2021-01-06 16:00 gabrieljenik Issue generated from: 16948
2021-01-07 15:28 gabrieljenik Issue cloned: 16954
2021-01-07 18:29 gabrieljenik Note Added: 61458
2021-01-07 18:30 gabrieljenik Product Version 4.4.0-RC2 => 4.3.33
2021-01-07 18:30 gabrieljenik Complete LimeSurvey version number (& build) 4.4.0-RC2 => 4.3.33
2021-01-07 18:30 gabrieljenik Steps to Reproduce Updated
2021-01-07 18:31 gabrieljenik Relationship added related to 16948
2021-01-07 18:31 gabrieljenik Additional Information Updated
2021-01-13 16:35 cdorin Status assigned => confirmed
2021-01-13 16:35 cdorin Sync to Zoho Project => |Yes|
2021-02-04 13:10 gabrieljenik Changeset attached => LimeSurvey master 94e7ed5c
2021-02-04 13:10 gabrieljenik Note Added: 61937
2021-02-04 13:10 gabrieljenik Resolution open => fixed
2021-02-08 13:30 lime_release_bot Sync to Zoho Project Yes => |Yes|
2021-02-08 13:30 lime_release_bot Note Added: 62007
2021-02-08 13:30 lime_release_bot Status confirmed => closed